import { ExecuteWithOptions } from '../types/index.js';
import { CustomMethodName, CustomMethodParams } from './methods/types/custom-methods.js';

/**
 * Invokes known custom method. Returns method execution result.
 * @param method - method name.
 * @param params - method parameters.
 * @param requestId - request identifier.
 * @param options - additional options.
 * @throws {SDKError} ERR_INVOKE_CUSTOM_METHOD_RESPONSE
 * @see ERR_INVOKE_CUSTOM_METHOD_RESPONSE
 */
export declare function invokeCustomMethod<M extends CustomMethodName>(method: M, params: CustomMethodParams<M>, requestId: string, options?: ExecuteWithOptions): Promise<unknown>;
/**
 * Invokes unknown custom method. Returns method execution result.
 * @param method - method name.
 * @param params - method parameters.
 * @param requestId - request identifier.
 * @param options - additional options.
 * @throws {SDKError} ERR_INVOKE_CUSTOM_METHOD_RESPONSE
 * @see ERR_INVOKE_CUSTOM_METHOD_RESPONSE
 */
export declare function invokeCustomMethod(method: string, params: object, requestId: string, options?: ExecuteWithOptions): Promise<unknown>;
