import { Chat, ChatType, InitDataParsed, User } from './types.js';

/**
 * @see Usage: https://docs.telegram-mini-apps.com/platform/init-data
 * @see API: https://docs.telegram-mini-apps.com/packages/tma-js-sdk/init-data
 */
export declare class InitData {
    private readonly initData;
    constructor(initData: InitDataParsed);
    /**
     * @see InitDataParsed.authDate
     */
    get authDate(): Date;
    /**
     * @see InitDataParsed.canSendAfter
     */
    get canSendAfter(): number | undefined;
    /**
     * Date after which it is allowed to call
     * the [answerWebAppQuery](https://core.telegram.org/bots/api#answerwebappquery) method.
     */
    get canSendAfterDate(): Date | undefined;
    /**
     * @see InitDataParsed.chat
     */
    get chat(): Chat | undefined;
    /**
     * @see InitDataParsed.chatType
     */
    get chatType(): ChatType | undefined;
    /**
     * @see InitDataParsed.chatInstance
     */
    get chatInstance(): string | undefined;
    /**
     * @see InitDataParsed.hash
     */
    get hash(): string;
    /**
     * @see InitDataParsed.queryId
     */
    get queryId(): string | undefined;
    /**
     * @see InitDataParsed.receiver
     */
    get receiver(): User | undefined;
    /**
     * @see InitDataParsed.startParam
     */
    get startParam(): string | undefined;
    /**
     * @see InitDataParsed.user
     */
    get user(): User | undefined;
}
