import { RemoveEventListenerFn } from './types.js';

/**
 * Adds new event listener using window.addEventListener.
 * @param type - event name.
 * @param listener - event listener.
 * @param options - listening options.
 * @returns Function to remove event listener.
 */
export declare function onWindow<K extends keyof WindowEventMap>(type: K, listener: (this: Window, ev: WindowEventMap[K]) => any, options?: boolean | AddEventListenerOptions): RemoveEventListenerFn;
