/**
 * Message log level.
 */
export type LogLevel = 'log' | 'error';
export interface LoggerOptions {
    bgColor?: string;
    textColor?: string;
}
export declare class Logger implements Pick<Console, 'log' | 'error'> {
    private readonly scope;
    private readonly options;
    constructor(scope: string, options?: LoggerOptions);
    /**
     * Prints message into a console in case, logger is currently enabled.
     * @param level - log level.
     * @param args - arguments.
     */
    private print;
    /**
     * Prints error message into a console.
     * @param args
     */
    error(...args: any[]): void;
    /**
     * Prints log message into a console.
     * @param args
     */
    log(...args: any[]): void;
}
