import { CleanupFn } from '../types/index.js';

/**
 * Returns a tuple, containing function to add cleanup, call cleanup, and flag showing whether
 * cleanup was called. Cleanup will not be performed in case, it was done before.
 */
export declare function createCleanup(...fns: (CleanupFn | CleanupFn[])[]): [
    add: (fn: CleanupFn) => void,
    cleanup: () => void,
    cleanedUp: boolean
];
