import { BrowserNavigatorAnyHistoryItem } from './types.js';

interface PrepareItemResult<State> {
    id?: string;
    pathname: string;
    params: {
        hash: string;
        search: string;
        state?: State;
    };
}
/**
 * Converts a path, presented as a string to a basic navigator appropriate form.
 * @param path - full path.
 * @param relativePath - relative path.
 * @param state - history item state.
 */
export declare function prepareItem<State>(path: string, relativePath: string, state?: State): PrepareItemResult<State>;
/**
 * Converts a path, presented as an object to a basic navigator appropriate form.
 * @param item - history item data.
 * @param relativePath - relative path.
 */
export declare function prepareItem<State>(item: BrowserNavigatorAnyHistoryItem<State>, relativePath: string): PrepareItemResult<State>;
export {};
